#include <bits/stdc++.h>
using namespace std;

#define ll long long
#define ull unsigned long long
#define pb push_back
#define mp make_pair
#define FOR(i, n) for (int i = 0; i < n; ++i)
template <typename... T>
void read(T &...args)
{
	((cin >> args), ...);
}
template <typename... T>
void write(T... args)
{
	((cout << args), ...);
}
const vector<pair<int, int>> nb = {{-1, -1}, {-1, 1}, {1, 1}, {1, -1}, {-1, 0}, {1, 0}, {0, 1}, {0, -1}};
const vector<pair<int, int>> nc = {{-1, 0}, {1, 0}, {0, 1}, {0, -1}};
bool sortbysec(const pair<int, int> &a, const pair<int, int> &b) { return (a.second < b.second); }
const int maxN = 100000;

string a,b;

void solve(){
	string s;
	while(a.size()!=b.size()){
		if(a.size()<b.size())a.insert(a.begin(),'.');
		else b.insert(b.begin(),'.');
	}
	for(int i=0;i<a.size();++i){
		if(a[i]==b[i]){s.pb(a[i]); s.pb(b[i]);}
		else s.pb(max(a[i],b[i]));
	}
	write(s,"\n");
}


int main(void){
	ios::sync_with_stdio(0);
	cin.tie(0);
	read(a,b);
	solve();
	return 0;
}